import { SimpleLocalClient } from '../../core/index.js';
import type { IAltruistConfig } from './altruist.types.js';
import { altruistProfile } from './altruist.types.js';

export class AltruistClient extends SimpleLocalClient<IAltruistConfig> {
  constructor(configArg: IAltruistConfig) {
    super(altruistProfile, configArg);
  }
}
